com.jogamp.gluegen.cgram.types

## Class BitType

- java.lang.Object
- - com.jogamp.gluegen.cgram.types.Type
  - - com.jogamp.gluegen.cgram.types.PrimitiveType
    - - com.jogamp.gluegen.cgram.types.IntType
      - - com.jogamp.gluegen.cgram.types.BitType

- All Implemented Interfaces:
    Cloneable

      public class BitType
      extends IntType
      implements Cloneable

  Represents a bitfield in a struct.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BitType(IntType underlyingType, int sizeInBits, int lsbOffset, int cvAttributes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BitType` | `asBit()` Casts this to a BitType or returns null if not a BitType.
    `boolean` | `equals(Object arg)` Equality test for Types.
    `int` | `getOffset()` Offset from the least-significant bit (LSB) of the LSB of this type
    `int` | `getSizeInBits()` Size in bits of this type.
    `void` | `visit(TypeVisitor arg)` Visit this type and all of the component types of this one; for example, the return type and argument types of a FunctionType.

    - ### Methods inherited from class com.jogamp.gluegen.cgram.types.IntType

      `asInt, isPrimitiveUnsigned, isUnsigned, setName, toString`

    - ### Methods inherited from class com.jogamp.gluegen.cgram.types.PrimitiveType

      `isPrimitive`

    - ### Methods inherited from class com.jogamp.gluegen.cgram.types.Type

      `arrayDimension, asArray, asCompound, asDouble, asEnum, asFloat, asFunction, asPointer, asVoid, clone, getBaseElementType, getCVAttributes, getCVAttributesString, getCVVariant, getDebugString, getName, getName, getSize, getSize, hashCode, hasTypedefName, isArray, isBit, isCompound, isConst, isDouble, isEnum, isFloat, isFunction, isFunctionPointer, isInt, isPointer, isVoid, isVolatile, pointerDepth`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BitType

          public BitType(IntType underlyingType,
                 int sizeInBits,
                 int lsbOffset,
                 int cvAttributes)

  - ### Method Detail

    - #### equals

          public boolean equals(Object arg)

      Description copied from class: `Type`
      Equality test for Types.
      Overrides:
        `equals` in class `IntType`

    - #### asBit

          public BitType asBit()

      Description copied from class: `Type`
      Casts this to a BitType or returns null if not a BitType.
      Overrides:
        `asBit` in class `Type`

    - #### getSizeInBits

          public int getSizeInBits()

      Size in bits of this type.

    - #### getOffset

          public int getOffset()

      Offset from the least-significant bit (LSB) of the LSB of this type

    - #### visit

          public void visit(TypeVisitor arg)

      Description copied from class: `Type`
      Visit this type and all of the component types of this one; for example, the return type and argument types of a FunctionType.
      Overrides:
        `visit` in class `Type`